Package org.apache.torque

## Class TorqueException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.sql.SQLException
      - - org.apache.torque.TorqueException

- All Implemented Interfaces:
    `Serializable`, `Iterable<Throwable>`
  Direct Known Subclasses:
    `ConstraintViolationException`, `DeadlockException`, `NoRowsException`, `OptimisticLockingFailedException`, `TooManyRowsException`

      public class TorqueException
      extends SQLException

  The base class of all checked exceptions thrown by Torque.
  Version:
    $Id: TorqueException.java 1839304 2018-08-27 12:19:46Z tv $
  Author:
    Daniel Rall, Jason van Zyl
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TorqueException()` | Constructs a new `TorqueException` without specified detail message.
    `TorqueException​(String msg)` | Constructs a new `TorqueException` with specified detail message.
    `TorqueException​(String msg, Throwable nested)` | Constructs a new `TorqueException` with specified detail message and nested `Throwable`.
    `TorqueException​(Throwable nested)` | Constructs a new `TorqueException` with specified nested `Throwable`.

  - ### Method Summary

    - ### Methods inherited from class java.sql.SQLException

      `getErrorCode, getNextException, getSQLState, iterator, setNextException`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach, spliterator`

- - ### Constructor Detail

    - #### TorqueException

          public TorqueException()

      Constructs a new `TorqueException` without specified detail message.

    - #### TorqueException

          public TorqueException​(String msg)

      Constructs a new `TorqueException` with specified detail message.
      Parameters:
        `msg` - the error message.

    - #### TorqueException

          public TorqueException​(Throwable nested)

      Constructs a new `TorqueException` with specified nested `Throwable`.
      Parameters:
        `nested` - the exception or error that caused this exception to be thrown.

    - #### TorqueException

          public TorqueException​(String msg,
                                 Throwable nested)

      Constructs a new `TorqueException` with specified detail message and nested `Throwable`.
      Parameters:
        `msg` - the error message.
        `nested` - the exception or error that caused this exception to be thrown.